package com.eactive.eai.rms.onl.loader.vo;

import java.io.Serializable;

import com.eactive.eai.rms.common.datasource.DataSourceTypeManager;
import com.eactive.eai.rms.onl.vo.PersistentVo;

@SuppressWarnings("serial")
public class RuleDeployJobItemVo implements Serializable, PersistentVo {
	private String jobId;
	private String fileName;
	private String bizCode;
	private String ruleType;

	public String getJobId() {
		return jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getBizCode() {
		return bizCode;
	}

	public void setBizCode(String bizCode) {
		this.bizCode = bizCode;
	}

	public String getRuleType() {
		return ruleType;
	}

	public void setRuleType(String ruleType) {
		this.ruleType = ruleType;
	}

	@Override
	public String toString() {
		return "RuleDeployJobItemVo [jobId=" + jobId + ", fileName=" + fileName + ", bizCode=" + bizCode + ", ruleType="
				+ ruleType + "]";
	}

	// @Override
	public String getSchemaId() {
		// return DataSourceContextHolder.getDataSourceType().getSchema();
		return DataSourceTypeManager.getDataSourceType(DataSourceTypeManager.MONITORING).getSchema();
	}
}
